<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Posts</title>
</head>
<body>
    <h1>Posts</h1>
    <button type="button" onclick="createNewPost()">Create Post</button>
    <ul>
        {% for post in posts %}
            <li>
                <h2>Post ID: {{ post.id }}</h2>
                <p>Post theme: {{ post.theme }}</p>
                <p>Content: {{ post.content }}</p>
                <p>Author: {{ post.author }}</p>
                <p>Created at: {{ post.created_at }}</p>
                <p>Updated at: {{ post.updated_at }}</p>
                <p>Likes: <span id="likes-{{ post.id }}">{{ post.count_like }}</span></p>
                <button onclick="likePost({{ post.id }})">Like</button>
                <button onclick="unlikePost({{ post.id }})">Unlike</button>
                <button type="button" onclick="openPostDetails()">Open Post Details</button>
            </li>
        {% endfor %}
    </ul>

    <script>
        async function likePost(id) {
            try {
                const response = await fetch(`/api/posts/like/${id}`, {
                    method: 'PATCH'
                });

                if (response.ok) {
                    location.reload(); // Перезагрузка страницы после успешного обновления лайка
                } else {
                    console.error('Ошибка при обновлении лайка:', response.statusText);
                }
            } catch (error) {
                console.error('Ошибка при выполнении запроса:', error);
            }
        }

        async function unlikePost(id) {
            try {
                const response = await fetch(`/api/posts/unlike/${id}`, {
                    method: 'PATCH'
                });

                if (response.ok) {
                    location.reload(); // Перезагрузка страницы после успешной отмены лайка
                } else {
                    console.error('Ошибка при отмене лайка:', response.statusText);
                }
            } catch (error) {
                console.error('Ошибка при выполнении запроса:', error);
            }
        }

        async function createNewPost() {
    try {
        // ... (ваш код для создания нового поста)

        // Переход на страницу с постами независимо от статуса ответа
        window.location.href = '/pages/posts/add';
    } catch (error) {
        console.error('Ошибка при выполнении запроса:', error);
    }
}


        function openPostDetails() {
            // Переход на страницу с деталями поста
            window.location.href = '/pages/post-details';
        }
    </script>

</body>
</html>
